Bug 107891 - [wine, regression, bisected] RAGE, Wolfenstein The New Order hangs in menu
Summary: [wine, regression, bisected] RAGE, Wolfenstein The New Order hangs in menu
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/radeonsi (show other bugs)
Version: 18.2
Hardware: Other All
: medium normal
Assignee: Default DRI bug account
QA Contact: Default DRI bug account
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-10 18:46 UTC by Sven Arvidsson
Modified: 2018-09-18 09:29 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sven Arvidsson 2018-09-10 18:46:05 UTC
The games RAGE and Wolfenstein The New Order (using Wine) hangs after a short while in the menu. 

Trying older Mesa releases (and a hacked Wine to work around the need for a compatibility context) 17.3.9 does not have this issue.

Bisecting lead to 
bc65dcab3bc48673ff6180afb036561a4b8b1119
radeonsi: avoid syncing the driver thread in si_fence_finish
It is really only required when we need to flush for deferred fences.

It's not possibly to revert that commit cleanly on 18.2.0, but moving back "ctx = threaded_context_unwrap_sync(ctx);" to its original place is enough to get rid of the hang.
Comment 1 Timothy Arceri 2018-09-12 11:03:04 UTC
Thanks for another quality bug report!

I've sent a patch to revert the change for now.

https://patchwork.freedesktop.org/patch/249030/
Comment 2 Timothy Arceri 2018-09-18 09:29:25 UTC
Should be fixed by:

commit 7a992fcfa059b0db0f07bc3eb38050eaab7aaf34
Author: Timothy Arceri <tarceri@itsqueeze.com>
Date:   Wed Sep 12 20:50:34 2018 +1000

    Revert "radeonsi: avoid syncing the driver thread in si_fence_finish"
    
    This reverts commit bc65dcab3bc48673ff6180afb036561a4b8b1119.
    
    This was manually reverted. Reverting stops the menu hanging in
    some id tech games such as RAGE and Wolfenstein The New Order.
    
    Reviewed-by: Marek Olšák <marek.olsak@amd.com>
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=107891

Thanks again for the bug report.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.